\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::compare_y() (2D/3D Linear Kernel)
CGAL::compare_y()

##

See Chapter 2D and 3D Geometry Kernel

## Functions
template<typename Kernel >
Comparison_result | CGAL::compare_y (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q)
| compares Cartesian \( y\)-coordinates of `p` and `q`.
template<typename Kernel >
Comparison_result | CGAL::compare_y (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q)
| compares Cartesian \( y\)-coordinates of `p` and `q`.
template<typename Kernel >
Comparison_result | CGAL::compare_y (const CGAL::Point_2< Kernel > &p, const CGAL::Line_2< Kernel > &l1, const CGAL::Line_2< Kernel > &l2)
| compares the \( y\)-coordinates of `p` and the intersection of lines `l1` and `l2`. More...
template<typename Kernel >
Comparison_result | CGAL::compare_y (const CGAL::Line_2< Kernel > &l, const CGAL::Line_2< Kernel > &h1, const CGAL::Line_2< Kernel > &h2)
| compares the \( y\)-coordinates of the intersection of line `l` with line `h1` and with line `h2`. More...
template<typename Kernel >
Comparison_result | CGAL::compare_y (const CGAL::Line_2< Kernel > &l1, const CGAL::Line_2< Kernel > &l2, const CGAL::Line_2< Kernel > &h1, const CGAL::Line_2< Kernel > &h2)
| compares the \( y\)-coordinates of the intersection of lines `l1` and `l2` and the intersection of lines `h1` and `h2`. More...

## Function Documentation

template<typename Kernel >

Comparison_result CGAL::compare_y | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Line_2< Kernel > & | l1,
|  | const CGAL::Line_2< Kernel > & | l2
| ) |  |

compares the \( y\)-coordinates of `p` and the intersection of lines `l1` and `l2`.

See Figure figcompare13 (a).

`#include <CGAL/Kernel/global_functions.h>`

template<typename Kernel >

Comparison_result CGAL::compare_y | ( | const CGAL::Line_2< Kernel > & | l,
|  | const CGAL::Line_2< Kernel > & | h1,
|  | const CGAL::Line_2< Kernel > & | h2
| ) |  |

compares the \( y\)-coordinates of the intersection of line `l` with line `h1` and with line `h2`.

See Figure figcompare13 (b).

`#include <CGAL/Kernel/global_functions.h>`

template<typename Kernel >

Comparison_result CGAL::compare_y | ( | const CGAL::Line_2< Kernel > & | l1,
|  | const CGAL::Line_2< Kernel > & | l2,
|  | const CGAL::Line_2< Kernel > & | h1,
|  | const CGAL::Line_2< Kernel > & | h2
| ) |  |

compares the \( y\)-coordinates of the intersection of lines `l1` and `l2` and the intersection of lines `h1` and `h2`.

See Figure figcompare13 (c).

`#include <CGAL/Kernel/global_functions.h>`